## dh-cmake-v0.2.zip

=== test_data/debian_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dh-cmake-test C)

include(GNUInstallDirs)
include(CTest)

macro(declare_lib LIBNAME)
  add_library(${LIBNAME} SHARED "${LIBNAME}.c")
  set_target_properties(${LIBNAME} PROPERTIES
    PUBLIC_HEADER "${LIBNAME}.h"
    VERSION 1.0
    SOVERSION 1
  )
  install(TARGETS ${LIBNAME}
    LIBRARY
      DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      COMPONENT Libraries
      NAMELINK_SKIP
    PUBLIC_HEADER
      DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
      COMPONENT Headers
  )
  install(TARGETS ${LIBNAME}
    LIBRARY
      DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      COMPONENT Namelinks
      NAMELINK_ONLY
  )
endmacro()

declare_lib(dh-cmake-test)
add_subdirectory(lib1)
add_subdirectory(lib2)

option(DH_CMAKE_TEST_FLAG "For testing -D definitions" OFF)
if(DH_CMAKE_TEST_FLAG)
  file(WRITE "${CMAKE_BINARY_DIR}/testflag.txt" "Test flag set\n")
endif()

add_test(TestTrue true)

option(DH_CMAKE_ENABLE_BAD_TEST "Enable bad test" ON)
if(DH_CMAKE_ENABLE_BAD_TEST)
  add_test(TestFalse false)
endif()

=== debian/changelog ===
dh-cmake (0.2) unstable; urgency=low

  * Added CTest support - you can now run CTest in dashboard mode from
    inside the Debian build environment and submit the test results to a
    CDash server.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Tue, 01 May 2018 14:17:32 -0400

dh-cmake (0.1) unstable; urgency=low

  * Initial release.

 -- Kyle Edwards <kyle.edwards@kitware.com>  Fri, 27 Apr 2018 13:36:31 -0400

=== debian/control ===
Source: dh-cmake
Section: devel
Priority: optional
Maintainer: Kitware Debian Maintainers <debian@kitware.com>
Uploaders:
    Kyle Edwards <kyle.edwards@kitware.com>,
    Kitware Robot <kwrobot@kitware.com>
Build-Depends:
    debhelper (>=11),
    dh-python,
    python3-all,
    python3-setuptools
Standards-Version: 4.1.4.1
Homepage: https://gitlab.kitware.com/debian/dh-cmake
Vcs-Git: https://gitlab.kitware.com/debian/dh-cmake.git
Vcs-Browser: https://gitlab.kitware.com/debian/dh-cmake
X-Python3-Version: >= 3.2

Package: dh-cmake
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends},
    ${perl:Depends},
    debhelper,
    cmake
Description: Debhelper programs for CMake projects
 dh-cmake provides a set of Debhelper utilities for building packages that use
 advanced features of the CMake buildsystem, such as component installation,
 CTest dashboard testing, and CPack dependency metadata.

=== test_data/debian_pkg/debian/control ===
Source: dh-cmake-test
Maintainer: Kitware Debian Maintainers <debian@kitware.com>
Uploaders:
    Kyle Edwards <kyle.edwards@kitware.com>,
    Kitware Robot <kwrobot@kitware.com>

Package: libdh-cmake-test
Architecture: any

Package: libdh-cmake-test-dev
Architecture: any

Package: libdh-cmake-test-doc
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dh-cmake

%:
	dh $@  --with python3 --buildsystem=pybuild
